import request from '../utils/request'


//生成只读页面链接
export function getHtmlUrl(data) {
  return request({
    url: `pool/read/getHtmlUrl`,
    method: 'post',
    data
  })
}

//获取只读页面list
export function getUrlList(data) {
  return request({
    url: `pool/read/getUrlList`,
    method: 'post',
    data
  })
}


//获取当前只读页面基础信息(仅包含页面权限，用户信息根据key)
export function getPageInfo(data) {
  return request({
    url: `pool/read/getPageInfo`,
    method: 'post',
    data
  })
}

//只读页面获取收益信息
export function getProfitInfo(data) {
  return request({
    url: `pool/read/getProfitInfo`,
    method: 'post',
    data
  })
}

//只读页面挖矿账号算力(曲线图)
export function getMinerAccountPower(data) {
  return request({
    url: `pool/read/getMinerAccountPower`,
    method: 'post',
    data
  })
}


//只读页面挖矿账号算力分布图(柱状图)
export function getAccountPowerDistribution(data) {
  return request({
    url: `pool/read/getAccountPowerDistribution`,
    method: 'post',
    data
  })
}

//只读页面 矿工总览表
export function getMinerList(data) {
  return request({
    url: `pool/read/getMinerList`,
    method: 'post',
    data
  })
}

//只读页面 获取收益历史记录
export function getHistoryIncome(data) {
  return request({
    url: `pool/read/getHistoryIncome`,
    method: 'post',
    data
  })
}

//只读页面 获取提现历史记录
export function getHistoryOutcome(data) {
  return request({
    url: `pool/read/getHistoryOutcome`,
    method: 'post',
    data
  })
}

//只读页面 小折线图
export function getMinerPower(data) {
  return request({
    url: `pool/read/getMinerPower`,
    method: 'post',
    data
  })
}

//创建只读页面 弹窗信息
export function getUrlInfo(data) {
  return request({
    url: `pool/read/getUrlInfo`,
    method: 'post',
    data
  })
}

//创建只读页面 修改信息
export function getChangeUrlInfo(data) {
  return request({
    url: `pool/read/changeUrlInfo`,
    method: 'post',
    data
  })
}

//删除只读信息
export function getDelPage(data) {
  return request({
    url: `pool/read/delPage`,
    method: 'delete',
    data
  })
}